Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706666 - net-p2p/cpuminer-opt-3.11.7 : fails to build with -fno-common or gcc-10
Summary: net-p2p/cpuminer-opt-3.11.7 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Craig Andrews
URL: https://github.com/JayDDee/cpuminer-o...
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 17:27 UTC by Toralf Förster
Modified: 2020-01-30 12:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.53 KB, text/plain)
2020-01-27 17:27 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,131.43 KB, text/plain)
2020-01-27 17:28 UTC, Toralf Förster
Details
environment (environment,84.24 KB, text/plain)
2020-01-27 17:28 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.05 KB, application/x-bzip)
2020-01-27 17:28 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,8.19 KB, application/x-bzip)
2020-01-27 17:28 UTC, Toralf Förster
Details
net-p2p:cpuminer-opt-3.11.7:20200127-033308.log (net-p2p:cpuminer-opt-3.11.7:20200127-033308.log,119.62 KB, text/plain)
2020-01-27 17:28 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,27.85 KB, application/x-bzip)
2020-01-27 17:28 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 17:27:56 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: algo/groestl/aes_ni/cpuminer-hash-groestl256.o:(.bss+0xa0): multiple definition of `TRANSP_MASK'; algo/groestl/aes_ni/cpuminer-hash-groestl.o:(.bss+0xa0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: algo/groestl/aes_ni/cpuminer-hash-groestl256.o:(.bss+0x200): multiple definition of `ROUND_CONST_Lx'; algo/groestl/aes_ni/cpuminer-hash-groestl.o:(.bss+0x280): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 02:06:14 +0000

emerge -qpvO net-p2p/cpuminer-opt
[ebuild  N    ] net-p2p/cpuminer-opt-3.11.7  USE="-curl -libressl" CPU_FLAGS_X86="sse2"
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:27:58 UTC
Created attachment 605222 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:28:01 UTC
Created attachment 605224 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:28:04 UTC
Created attachment 605226 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:28:07 UTC
Created attachment 605228 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:28:10 UTC
Created attachment 605230 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:28:13 UTC
Created attachment 605232 [details]
net-p2p:cpuminer-opt-3.11.7:20200127-033308.log
Comment 7 Toralf Förster gentoo-dev 2020-01-27 17:28:15 UTC
Created attachment 605234 [details]
temp.tbz2
Comment 8 Craig Andrews gentoo-dev 2020-01-27 18:43:05 UTC
Reported upstream at https://github.com/JayDDee/cpuminer-opt/issues/232
Comment 9 Craig Andrews gentoo-dev 2020-01-30 12:15:36 UTC
Fixed in 3.11.8 which is now in Gentoo.